#include "A+B.h"
#include <iostream>
#include <algorithm>

using namespace std;

istream& operator>> (istream& inp, __int128& n) {
    std::string num;
    inp >> num ;
    n=0;
    bool negative=false;
    for (auto c : num) {
        n*=10;
        if (c=='-') negative=true;
        else n+=(c-'0');
    }
    if (negative==true) n*=(-1);
    return inp;
}
ostream& operator<< (ostream& out, const __int128& n) {
    string digs="";
    bool negative=false;
    __int128 tmp=n;
    if (tmp<0) {
        negative=true;
        tmp*=(-1);
    }
    for (;;) {
        digs+=(tmp%10+'0');
        tmp/=10;
        if (tmp==0) break;
    }
    reverse(digs.begin(),digs.end());
    if (negative==true) out << "-";
    out << digs ;
    return out;
}

extern __int128 find_sum (__int128 a, __int128 b) {
    return a + b;
}